tty-server(1)

NAME
tty-server - Server side for tty-share

SYNOPSIS
tty-server [options]

DESCRIPTION
tty-server is the server side for tty-share. It provides an instant pairing solution, allowing you to share a terminal. tty-share is necessary to connect to the tty-server, when the connection occurs a secret URL is generated, through which the terminal can be viewed in the browser.

OPTIONS
-frontend_path string The path to the frontend resources. By default, these resources are included in the server binary, so you only need this path if you don't want to use the bundled ones.

-sender_address string The bind address for the tty-share TLS connections. tty-share tool will connect to this address. (default ":6543")

-url string The public web URL the server will be accessible at. This will be sent back to the tty-share tool to display it to the user. (default "http://localhost")

-web_address string The bind address for the web interface. This is the listening address for the web server that hosts the "browser terminal". You might want to change this if you don't want to use the port 80, or only bind the localhost. (default ":80")

AUTHOR
tty-server was written by Elis Popescu and is available at:

      https://github.com/elisescu/tty-server
This manual page was written by Francisco Vilmar Cardoso Ruviaro for the Debian project (but may be used by others).